Name:		mod_security_crs
Version:	2.2.2
Release:	4%{?dist}
Summary:	Security module for the Apache HTTP Server

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://www.modsecurity.org/
Source0:	http://downloads.sourceforge.net/project/mod-security/modsecurity-crs/0-CURRENT/modsecurity-crs_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#BuildRequires:	
Requires:	mod_security >= 2.6.2
BuildArch:	noarch

%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from attacks.

%prep
%setup -q -n modsecurity-crs_%{version}


#build

%install
rm -rf $RPM_BUILD_ROOT

for f in `find . -name \*.pl`
do
	sed -i 's#/opt/local/bin/perl#/usr/bin/perl#g;' $f
done

for f in `find. -name \*.lua`
do
	sed -i 's#/opt/local/bin/lua#/usr/bin/lua#g;' $f
done

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/activated_rules/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/base_rules/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/experimental_rules/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/lua/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/optional_rules/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/slr_rules/

install -D -m644 base_rules/* $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/base_rules/
install -D -m644 experimental_rules/* $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/experimental_rules/
install -D -m644 lua/* $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/lua/
install -D -m644 optional_rules/* $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/optional_rules/
install -D -m644 slr_rules/* $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/slr_rules/
install -D -m644 modsecurity_crs_10_config.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf

install -D -m0755 util/rules-updater.pl $RPM_BUILD_ROOT%{_bindir}/rules-updater.pl
install -D -m0644 util/rules-updater-example.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/modsecurity.d/rules-updater.conf
rm -f util/rules-updater.pl util/rules-updater-example.conf
tar zcf util.tar.gz util
rm -rf util

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc util.tar.gz CHANGELOG INSTALL LICENSE README
%dir %{_sysconfdir}/httpd/modsecurity.d
%{_sysconfdir}/httpd/modsecurity.d/optional_rules
%{_sysconfdir}/httpd/modsecurity.d/base_rules
%{_sysconfdir}/httpd/modsecurity.d/activated_rules
%{_sysconfdir}/httpd/modsecurity.d/experimental_rules
%{_sysconfdir}/httpd/modsecurity.d/lua
%{_sysconfdir}/httpd/modsecurity.d/slr_rules
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/modsecurity_crs_10_config.conf
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/rules-updater.conf
%{_bindir}/rules-updater.pl

%changelog
* Thu Oct 06 2011 momo-i <webmaster@momo-i.org> - 2.2.2-4
- install rules-updater.pl and gziped util for dependency.

* Wed Oct 05 2011 momo-i <webmaster@momo-i.org> - 2.2.2-2
- Fixed perl path.

* Wed Oct 05 2011 momo-i <webmaster@momo-i.org> - 2.2.2-1
- Update for 2.2.2

* Sat Aug 27 2011 momo-i <webmaster@momo-i.org> - 2.2.1-1
- Update for 2.2.1

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 2.2.0-1
- Initial rpm release.
